Get Pricing Rule
Retrieve a single pricing rule by ID.
Endpointโ
GET /v1/products/{id}/pricing/{pricingId}
Authenticationโ
Requires an API key with the products:read scope.
Parametersโ
| Parameter | Type | Location | Description |
|---|---|---|---|
id | integer | path | The product ID |
pricingId | integer | path | The pricing rule ID |
Responseโ
Success (200 OK)โ
{
"data": {
"id": 1,
"season": null,
"price_structure": "flat",
"price": 50.00,
"interval": 1,
"interval_units": "day"
},
"meta": {
"request_id": "req_abc123",
"timestamp": "2026-02-01T10:00:00+00:00"
}
}
With Seasonโ
{
"data": {
"id": 2,
"season": {
"id": 1,
"name": "Summer Peak",
"start_date": "2026-06-01",
"end_date": "2026-08-31",
"date_ranges": [
{ "start_date": "2026-06-01", "end_date": "2026-08-31" },
{ "start_date": "2026-12-01", "end_date": "2026-12-20" }
]
},
"price_structure": "flat",
"price": 75.00,
"interval": 1,
"interval_units": "day"
},
"meta": {
"request_id": "req_abc123",
"timestamp": "2026-02-01T10:00:00+00:00"
}
}
Example Requestโ
curl -X GET "https://app.equipdash.com/api/v1/products/1/pricing/1" \
-H "Authorization: Bearer YOUR_API_KEY"
Errorsโ
| Status | Code | Description |
|---|---|---|
| 401 | authentication_required | No API key provided |
| 403 | insufficient_scope | API key lacks products:read scope |
| 404 | resource_not_found | Product or pricing rule not found |